# GimpUi.DrawableChooser.new

    function new(title: String, label: String, drawable_type: GObject.Type, drawable: Gimp.Drawable): Gtk.Widget {
        // Gjs wrapper for gimp_drawable_chooser_new()
    }

Creates a new Gtk.Widget that lets a user choose a drawable which must be of type drawable_type. drawable_type of values %G_TYPE_NONE and %GIMP_TYPE_DRAWABLE are equivalent. Otherwise it must be a subtype of %GIMP_TYPE_DRAWABLE.

When drawable is null, initial choice is from context.

Since 3.0

title

  Title of the dialog to use or null to use the default title.

label

  Button label or null for no label.

drawable_type

  the acceptable subtype of choosable drawables.

drawable

  Initial drawable.

Returns

  A [class@GimpUi.DrawableChooser.